[youtubei.js](../../../README.md) / [YTMusic](../README.md) / Explore

# Class: Explore

## Constructors

### new Explore()

> **new Explore**(`response`): [`Explore`](Explore.md)

#### Parameters

• **response**: [`ApiResponse`](../../../interfaces/ApiResponse.md)

#### Returns

[`Explore`](Explore.md)

#### Defined in

[src/parser/ytmusic/Explore.ts:20](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/ytmusic/Explore.ts#L20)

## Properties

### sections

> **sections**: [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`MusicCarouselShelf`](../../YTNodes/classes/MusicCarouselShelf.md)\>

#### Defined in

[src/parser/ytmusic/Explore.ts:18](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/ytmusic/Explore.ts#L18)

***

### top\_buttons

> **top\_buttons**: [`MusicNavigationButton`](../../YTNodes/classes/MusicNavigationButton.md)[]

#### Defined in

[src/parser/ytmusic/Explore.ts:17](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/ytmusic/Explore.ts#L17)

## Accessors

### page

> `get` **page**(): [`IBrowseResponse`](../../APIResponseTypes/type-aliases/IBrowseResponse.md)

#### Returns

[`IBrowseResponse`](../../APIResponseTypes/type-aliases/IBrowseResponse.md)

#### Defined in

[src/parser/ytmusic/Explore.ts:37](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/ytmusic/Explore.ts#L37)
